Option Explicit On 
Option Strict On
Option Compare Binary

Imports System
Imports System.Windows.Forms

' <remarks>
'   Hauptformular der Anwendung.
' </remarks>
Public Class MainForm
    Inherits System.Windows.Forms.Form

#Region " Vom Windows Form Designer generierter Code "
    Public Sub New()
        MyBase.New()
        InitializeComponent()

        ' Weitere Intialisierungsarbeiten.
        Me.cboSelectionModes.Items.AddRange([Enum].GetNames(GetType(SelectionMode)))
        Me.cboSelectionModes.SelectedIndex = 0
        Dim i As Integer
        For i = 1 To 20
            Me.lstSample.Items.Add("Eintrag " & i.ToString())
        Next i
    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    Private components As System.ComponentModel.IContainer

    Friend WithEvents lstSample As ExtendedListBox
    Friend WithEvents chkLocked As System.Windows.Forms.CheckBox
    Friend WithEvents cboSelectionModes As System.Windows.Forms.ComboBox
    Friend WithEvents Label1 As System.Windows.Forms.Label

    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
        Me.chkLocked = New System.Windows.Forms.CheckBox()
        Me.lstSample = New LockListBox.ExtendedListBox()
        Me.cboSelectionModes = New System.Windows.Forms.ComboBox()
        Me.Label1 = New System.Windows.Forms.Label()
        Me.SuspendLayout()
        '
        'chkLocked
        '
        Me.chkLocked.Anchor = (System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Right)
        Me.chkLocked.Location = New System.Drawing.Point(192, 34)
        Me.chkLocked.Name = "chkLocked"
        Me.chkLocked.Size = New System.Drawing.Size(64, 16)
        Me.chkLocked.TabIndex = 2
        Me.chkLocked.Text = "&Locked"
        '
        'lstSample
        '
        Me.lstSample.Anchor = (((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right)
        Me.lstSample.Location = New System.Drawing.Point(16, 64)
        Me.lstSample.Name = "lstSample"
        Me.lstSample.Size = New System.Drawing.Size(240, 238)
        Me.lstSample.TabIndex = 3
        '
        'cboSelectionModes
        '
        Me.cboSelectionModes.Anchor = ((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right)
        Me.cboSelectionModes.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboSelectionModes.Location = New System.Drawing.Point(16, 32)
        Me.cboSelectionModes.Name = "cboSelectionModes"
        Me.cboSelectionModes.Size = New System.Drawing.Size(144, 21)
        Me.cboSelectionModes.TabIndex = 1
        '
        'Label1
        '
        Me.Label1.Location = New System.Drawing.Point(16, 16)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(120, 16)
        Me.Label1.TabIndex = 0
        Me.Label1.Text = "&SelectionMode:"
        '
        'MainForm
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(272, 318)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.Label1, Me.cboSelectionModes, Me.lstSample, Me.chkLocked})
        Me.MinimumSize = New System.Drawing.Size(280, 352)
        Me.Name = "MainForm"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "LockListBox"
        Me.ResumeLayout(False)

    End Sub
#End Region

    Private Sub chkLocked_CheckedChanged(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles chkLocked.CheckedChanged

        Me.lstSample.Locked = Me.chkLocked.Checked
    End Sub

    Private Sub cboSelectionModes_SelectedIndexChanged( _
        ByVal sender As System.Object, _
        ByVal e As System.EventArgs) _
        Handles cboSelectionModes.SelectedIndexChanged

        Me.lstSample.SelectionMode = CType( _
            ([Enum].GetValues(GetType(SelectionMode))),  _
            SelectionMode())(Me.cboSelectionModes.SelectedIndex)
    End Sub
End Class